import { defineComponent } from 'vue'
import { Tabs, Tab } from 'vant'
import MusicList from './index'

/** 曲谱列表 包含分类切换 */
export default defineComponent({
  name: 'MusicListSwitch',
  render() {
    return (
      <div>
        <Tabs>
          <Tab title="已上架">
            <MusicList auditStatus={0} />
          </Tab>
          <Tab title="审核中">
            <MusicList auditStatus={1} />
          </Tab>
          <Tab title="审核失败">
            <MusicList auditStatus={2} />
          </Tab>
        </Tabs>
      </div>
    )
  }
})
